org.apache.uima.aae.client

## Interface UimaASStatusCallbackListener

- All Known Implementing Classes:
    UimaAsBaseCallbackListener

      public interface UimaASStatusCallbackListener

  Interface for a Listener that receives notification from the `UimaAsynchronousEngine` as various events occur.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectionProcessComplete(EntityProcessStatus aStatus)` The callback used to inform the application that the CPC request has completed.
    `void` | `entityProcessComplete(CAS aCas, EntityProcessStatus aStatus)` Called when the processing of each entity has completed.
    `void` | `initializationComplete(EntityProcessStatus aStatus)` The callback used to inform the application that the initialization request has completed.

- - ### Method Detail

    - #### initializationComplete

          void initializationComplete(EntityProcessStatus aStatus)

      The callback used to inform the application that the initialization request has completed. On success aStatus will be null; on failure use the EntityProcessStatus class to get the details.
      Parameters:
        `aStatus` - the status of the processing. This object contains a record of any Exception that occurred, as well as timing information.

    - #### entityProcessComplete

          void entityProcessComplete(CAS aCas,
                                     EntityProcessStatus aStatus)

      Called when the processing of each entity has completed.
      Parameters:
        `aCas` - the CAS containing the processed entity and the analysis results
        `aStatus` - the status of the processing. This object contains a record of any Exception that occurred, as well as timing information.

    - #### collectionProcessComplete

          void collectionProcessComplete(EntityProcessStatus aStatus)

      The callback used to inform the application that the CPC request has completed. On success aStatus will be null; on failure use the EntityProcessStatus class to get the details.
      Parameters:
        `aStatus` - the status of the processing. This object contains a record of any Exception that occurred, as well as timing information.

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.